Package com.studica.frc.jni

## Class TitanSmallJNI

- java.lang.Object
- - com.studica.frc.jni.TitanJNIWrapper
  - - com.studica.frc.jni.TitanSmallJNI

    public class TitanSmallJNI
    extends TitanJNIWrapper

### Constructor Summary

Constructors
`TitanSmallJNI()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `c_TitanSmall_clearFaults​(long handle)`
`static void` `c_TitanSmall_configureMotor​(long handle, int frequency)`
`static long` `c_TitanSmall_create​(int deviceID, int frequency, boolean stop)`
`static void` `c_TitanSmall_destroy​(long handle)`
`static void` `c_TitanSmall_disableMotor​(long handle)`
`static boolean` `c_TitanSmall_enableSoftLimit​(long handle)`
`static double` `c_TitanSmall_getCurrent​(long handle)`
`static int` `c_TitanSmall_getFaults​(long handle)`
`static java.lang.String` `c_TitanSmall_getFirmwareVersion​(long handle)`
`static int` `c_TitanSmall_getFrequency​(long handle)`
`static java.lang.String` `c_TitanSmall_getHardwareVersion​(long handle)`
`static int` `c_TitanSmall_getID​(long handle)`
`static double` `c_TitanSmall_getLimitSwitch​(long handle, boolean direction)`
`static java.lang.String` `c_TitanSmall_getSerialNumber​(long handle)`
`static void` `c_TitanSmall_setCurrentLimit​(long handle)`
`static void` `c_TitanSmall_setMotorSpeed​(long handle, double speed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TitanSmallJNI

    public TitanSmallJNI()

### Method Detail

#### c_TitanSmall_create

    public static long c_TitanSmall_create​(int deviceID,
                                           int frequency,
                                           boolean stop)

#### c_TitanSmall_destroy

    public static void c_TitanSmall_destroy​(long handle)

#### c_TitanSmall_getID

    public static int c_TitanSmall_getID​(long handle)

#### c_TitanSmall_getFrequency

    public static int c_TitanSmall_getFrequency​(long handle)

#### c_TitanSmall_getFirmwareVersion

    public static java.lang.String c_TitanSmall_getFirmwareVersion​(long handle)

#### c_TitanSmall_getHardwareVersion

    public static java.lang.String c_TitanSmall_getHardwareVersion​(long handle)

#### c_TitanSmall_configureMotor

    public static void c_TitanSmall_configureMotor​(long handle,
                                                   int frequency)

#### c_TitanSmall_disableMotor

    public static void c_TitanSmall_disableMotor​(long handle)

#### c_TitanSmall_getCurrent

    public static double c_TitanSmall_getCurrent​(long handle)

#### c_TitanSmall_setMotorSpeed

    public static void c_TitanSmall_setMotorSpeed​(long handle,
                                                  double speed)

#### c_TitanSmall_setCurrentLimit

    public static void c_TitanSmall_setCurrentLimit​(long handle)

#### c_TitanSmall_getLimitSwitch

    public static double c_TitanSmall_getLimitSwitch​(long handle,
                                                     boolean direction)

#### c_TitanSmall_getFaults

    public static int c_TitanSmall_getFaults​(long handle)

#### c_TitanSmall_clearFaults

    public static void c_TitanSmall_clearFaults​(long handle)

#### c_TitanSmall_enableSoftLimit

    public static boolean c_TitanSmall_enableSoftLimit​(long handle)

#### c_TitanSmall_getSerialNumber

    public static java.lang.String c_TitanSmall_getSerialNumber​(long handle)